org.apache.ignite.internal.processors.cluster

## Interface IgniteChangeGlobalStateSupport

All Known Subinterfaces:
  IgnitePageStoreManager, IgniteWriteAheadLogManager

All Known Implementing Classes:
  DataStructuresProcessor, GridCacheAtomicLongImpl, GridCacheAtomicReferenceImpl, GridCacheAtomicSequenceImpl, GridCacheAtomicStampedImpl, GridCacheCountDownLatchImpl, GridCacheLockImpl, GridCacheSemaphoreImpl, GridServiceProcessor, IgniteCacheDatabaseSharedManager

    public interface IgniteChangeGlobalStateSupport

Provides callback during activation/deactivation cluster.

### Method Summary

Methods
`void` `onActivate(GridKernalContext kctx)` Called when cluster performing activation.
`void` `onDeActivate(GridKernalContext kctx)` Called when cluster performing deactivation.

### Method Detail

#### onActivate

    void onActivate(GridKernalContext kctx)
                    throws IgniteCheckedException

Called when cluster performing activation.

Parameters:
  `kctx` - Kernal context.
Throws:
  `IgniteCheckedException` - If failed.

#### onDeActivate

    void onDeActivate(GridKernalContext kctx)
                      throws IgniteCheckedException

Called when cluster performing deactivation.

Parameters:
  `kctx` - Kernal context.
Throws:
  `IgniteCheckedException` - If failed.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017